import es
import playerlib

from rankme import rankme

addonName = "resetranks"

resetranks = rankme.addons.registerAddon(addonName)

translations = resetranks.translate()
translations.addLanguageGroup('ranks reset command',
     "#greenThe ranks have been reseted. Changed the map to complete the process.",
     'Displays a message when the ranks are reseted, telling the players the map will change.',
     {})

config = resetranks.config("""Gives admins the ability to reset all of the ranks with
a simple command, configurable below. When the command is issued, the map will be changed
to complete the process.
 
To install this addon, enable it in the addons.txt file.
This config file does not interfere with the main config file.
 
Load the addon with: load_module resetranks""")

_resetranks_command      = config.cvar("rankme_resetranks_command",            "!resetranks",                       "The command that should reset all of the ranks")

config.write()

text = translations.getLanguageFile()

def load():
    """
    Fires when the script initializes. Creates the addon's most important
    variables and executes config files and other features.
    """
    config.execute()
    
def player_say(ev):
    """
    Event player_say
    
    Executes when a player writes any information in the chatbox.
    Provides the usual event variables to compare data.
    """
    if ev['text'] == str(_resetranks_command):
        resetRanks(int(ev['userid']))
        
def resetRanks(userid):
    """
    Resets all of the ranks that are currently registered in the database.
    """
    steamid = playerlib.getPlayer(userid).uniqueid
    if steamid in resetranks.admins:
        rankme.database.deleteRanks()
        es.server.queuecmd('changelevel de_dust2')
        
        index = rankme.getPlayer(userid).index
        for userid in es.getUseridList():
            rankme.saytext2(userid, index, text('ranks reset command', {}, playerlib.getPlayer(userid).get('lang')))