#!/usr/bin/env python

import es, usermsg, gamethread
from rankme import rankme

database = rankme.database
connected_players = set()

def player_team(ev):
    if rankme.settings.do_bots_count == 0 and es.isbot(ev['userid']):
        return
    
    userid = int(ev['userid'])
    
    if userid not in connected_players:
        player = rankme.getPlayer(userid)
        steamid = player.uniqueid
        position = player.position
        points = player.points
        countAll = database.getTotalCount()
        
        connected_players.add(userid)
        if points:
            if rankme.checkMessage(userid, 'welcome'):
                gamethread.delayed(10, usermsg.hudhint, (userid, 'Welcome %s!\n \n%s Points \nPosition %s of %s' % (es.getplayername(userid), rankme.getFormat(points), position, countAll)))
            
def player_disconnect(ev):
    userid = int(ev['userid'])
    
    if userid in connected_players:
        connected_players.remove(userid)
    
    